lib64qt5test-devel-5.4.0-7.mga5.x86_64.rpm


Advertisement

Description

lib64qt5test-devel - Devel files needed to build apps based on QtTest

Property Value
Distribution Mageia 5.1
Repository Mageia Core x86_64
Package filename lib64qt5test-devel-5.4.0-7.mga5.x86_64.rpm
Package name lib64qt5test-devel
Package version 5.4.0
Package release 7.mga5
Package architecture x86_64
Package type rpm
Category Development/KDE and Qt
Homepage http://www.qt-project.org
License LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
Maintainer -
Download size 36.73 KB
Installed size 120.71 KB
Devel files needed to build apps based on QtTest.

Alternatives

Package Version Architecture Repository
lib64qt5test-devel-5.4.2-1.1.mga5.x86_64.rpm 5.4.2 x86_64 Mageia Core Updates
lib64qt5test-devel - - -

Requires

Name Value
devel(libQt5Core(64bit)) -
devel(libgcc_s(64bit)) -
devel(libstdc++(64bit)) -
lib64qt5test-devel == 5.4.0
lib64qt5test5 == 5.4.0
pkgconfig -
pkgconfig(Qt5Core) -
qtbase5-common == 5.4.0
qtbase5-common-devel == 5.4.0-7.mga5
qtwidgets5-devel == 5.4.0-7.mga5

Provides

Name Value
devel(libQt5Test(64bit)) -
lib64qt5test-devel == 5.4.0-7.mga5
lib64qt5test-devel(x86-64) == 5.4.0-7.mga5
libqt5test-devel == 5.4.0
libqttest5-devel == 5.4.0
pkgconfig(Qt5Test) == 5.4.0
qt5test-devel == 5.4.0
qttest5-devel == 5.4.0

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package lib64qt5test-devel-5.4.0-7.mga5.x86_64.rpm
Source Package qtbase5-5.4.0-7.mga5.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install lib64qt5test-devel rpm package:
    # urpmi lib64qt5test-devel

Files

Path
/usr/lib64/libQt5Test.prl
/usr/lib64/libQt5Test.so
/usr/lib64/cmake/Qt5Test/Qt5TestConfig.cmake
/usr/lib64/cmake/Qt5Test/Qt5TestConfigVersion.cmake
/usr/lib64/pkgconfig/Qt5Test.pc
/usr/lib64/qt5/include/QtTest/QEventSizeOfChecker
/usr/lib64/qt5/include/QtTest/QSignalSpy
/usr/lib64/qt5/include/QtTest/QSpontaneKeyEvent
/usr/lib64/qt5/include/QtTest/QTest
/usr/lib64/qt5/include/QtTest/QTestAccessibility
/usr/lib64/qt5/include/QtTest/QTestData
/usr/lib64/qt5/include/QtTest/QTestDelayEvent
/usr/lib64/qt5/include/QtTest/QTestEvent
/usr/lib64/qt5/include/QtTest/QTestEventList
/usr/lib64/qt5/include/QtTest/QTestEventLoop
/usr/lib64/qt5/include/QtTest/QTestKeyClicksEvent
/usr/lib64/qt5/include/QtTest/QTestKeyEvent
/usr/lib64/qt5/include/QtTest/QTestMouseEvent
/usr/lib64/qt5/include/QtTest/QtTest
/usr/lib64/qt5/include/QtTest/QtTestDepends
/usr/lib64/qt5/include/QtTest/QtTestGui
/usr/lib64/qt5/include/QtTest/QtTestVersion
/usr/lib64/qt5/include/QtTest/QtTestWidgets
/usr/lib64/qt5/include/QtTest/qbenchmark.h
/usr/lib64/qt5/include/QtTest/qbenchmarkmetric.h
/usr/lib64/qt5/include/QtTest/qsignalspy.h
/usr/lib64/qt5/include/QtTest/qtest.h
/usr/lib64/qt5/include/QtTest/qtest_global.h
/usr/lib64/qt5/include/QtTest/qtest_gui.h
/usr/lib64/qt5/include/QtTest/qtest_widgets.h
/usr/lib64/qt5/include/QtTest/qtestaccessible.h
/usr/lib64/qt5/include/QtTest/qtestassert.h
/usr/lib64/qt5/include/QtTest/qtestcase.h
/usr/lib64/qt5/include/QtTest/qtestdata.h
/usr/lib64/qt5/include/QtTest/qtestevent.h
/usr/lib64/qt5/include/QtTest/qtesteventloop.h
/usr/lib64/qt5/include/QtTest/qtestkeyboard.h
/usr/lib64/qt5/include/QtTest/qtestmouse.h
/usr/lib64/qt5/include/QtTest/qtestspontaneevent.h
/usr/lib64/qt5/include/QtTest/qtestsystem.h
/usr/lib64/qt5/include/QtTest/qtesttouch.h
/usr/lib64/qt5/include/QtTest/qttestversion.h

Changelog

2015-04-22 - luigiwalser <luigiwalser> 5.4.0-7.mga5
+ Revision: 820558
- add patches from fedora to fix CVE-2015-1858, CVE-2015-1859, and CVE-2015-1860
2015-02-28 - lmenut <lmenut> 5.4.0-6.mga5
+ Revision: 817205
- add upstream patch to fix DoS vulnerability in the BMP image handler
(CVE-2015-0295) mga#15383
2015-02-08 - doktor5000 <doktor5000> 5.4.0-5.mga5
+ Revision: 814176
- added upstream patch to fix broken drag&drop for 5.4.0 (QTBUG-43436)
2015-01-06 - cjw <cjw> 5.4.0-4.mga5
+ Revision: 808796
- sync csh profile script with sh profile script and add needed escape chars (mga #12826)
2014-12-27 - neoclust <neoclust> 5.4.0-3.mga5
+ Revision: 806365
- Add csh/tcsh profile support mga #12826
2014-12-23 - neoclust <neoclust> 5.4.0-2.mga5
+ Revision: 805003
- Fix Requires for translations Mga#13993 #14746
2014-12-11 - neoclust <neoclust> 5.4.0-1.mga5
+ Revision: 802720
- New version 5.4.0
2014-12-07 - neoclust <neoclust> 5.3.2-7.mga5
+ Revision: 802011
- New version 5.3.2
2014-11-29 - doktor5000 <doktor5000> 5.3.1-7.mga5
+ Revision: 799847
- disable SSE2 on %ix86 otherwise QT crashes on processors without SSE2
o fixes (mga#13991), (mga#14229), (mga#14418), (mga#14491)
- provide SSE2-enabled library in separate subdir as recommended by upstream
o SSE2 library located in %{_qt5_libdir}/sse2/
2014-11-25 - cjw <cjw> 5.3.1-6.mga5
+ Revision: 799031
- rebuild against postgresql9.4

See Also

Package Description
lib64qt5test-private-devel-5.4.0-7.mga5.x86_64.rpm Devel files needed to build apps based on QtTest
lib64qt5test5-5.4.0-7.mga5.x86_64.rpm Qt5 Component Library
lib64qt5waylandclient-devel-5.4.0-1.mga5.x86_64.rpm Devel files needed to build apps based on qtwayland5
lib64qt5waylandclient-private-devel-5.4.0-1.mga5.x86_64.rpm Devel files needed to build apps based on qtwayland5
lib64qt5webchannel-devel-5.4.0-1.mga5.x86_64.rpm Devel files needed to build apps based on qtwebchannel5
lib64qt5webchannel-private-devel-5.4.0-1.mga5.x86_64.rpm Devel files needed to build apps based on qtwebchannel5
lib64qt5webkit-devel-5.4.0-2.mga5.x86_64.rpm Devel files needed to build apps based on QtWebKitWidgets
lib64qt5webkit-private-devel-5.4.0-2.mga5.x86_64.rpm Devel files needed to build apps based on QtWebKitWidgets
lib64qt5webkit5-5.4.0-2.mga5.x86_64.rpm Qt5 Lib
lib64qt5webkitwidgets-devel-5.4.0-2.mga5.x86_64.rpm Devel files needed to build apps based on QtWebKitWidgets
lib64qt5webkitwidgets-private-devel-5.4.0-2.mga5.x86_64.rpm Devel files needed to build apps based on QtWebKitWidgets
lib64qt5webkitwidgets5-5.4.0-2.mga5.x86_64.rpm Qt5 Lib
lib64qt5websockets-private-devel-5.4.0-1.mga5.x86_64.rpm Devel files needed to build apps based on QtWebSockets
lib64qt5widgets-devel-5.4.0-7.mga5.x86_64.rpm Devel files needed to build apps based on QtWidgets
lib64qt5widgets-private-devel-5.4.0-7.mga5.x86_64.rpm Devel files needed to build apps based on QtWidgets
Advertisement
Advertisement